"use strict";

App.module("MainRegionModule", function(MainRegionModule, App, Backbone, Marionette, $, _, Logger) {

    // Prevent auto start
    MainRegionModule.startWithParent = false;
    
    // Define options
    var defaultModuleOptions = {
    };

    // Initialization checker
    var assertModuleIsInitialized = function() {
        if (!logger) {
            throw "MainRegionModule has not been initialized";
        }
    };
    
    /**
     * Module initializer
     */
    MainRegionModule.addInitializer(function(options){
        
        MainRegionModule.moduleOptions = _.extend(defaultModuleOptions, options);
        
        MainRegionModule.logger = Logger.get("MainRegionModule");
        MainRegionModule.logger.setLevel(Logger.DEBUG);
    });
}, Logger);
